ubuntu/+source/pidgin:ubuntu/precise

Last commit made on 2012-04-07
Get this branch:
git clone -b ubuntu/precise https://git.launchpad.net/ubuntu/+source/pidgin
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/precise
Repository:
lp:ubuntu/+source/pidgin

Recent commits

5b302ec... by Alexander Fougner on 2012-04-06

Import patches-unapplied version 1:2.10.3-0ubuntu1 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: b1daca458f4ae41a6931ef435c7e6178f8ca5df7

New changelog entries:
  * update to new stable release, fixes (LP: #964210)

b1daca4... by Ken VanDine on 2012-04-04

Import patches-unapplied version 1:2.10.2-1ubuntu2 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 42ff2bf486d65ab10be5263867ae697935ef8c35

New changelog entries:
  * debian/patches/70_farstream_rename.patch
    - updated patch from the upstream bug report
      http://developer.pidgin.im/ticket/14936

42ff2bf... by Sebastien Bacher on 2012-01-05

Import patches-unapplied version 1:2.10.2-1ubuntu1 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: ceef1272171e5e3b1679420a67e4f7c7e9b41290

New changelog entries:
  * New upstream version based on the Debian update

ceef127... by Ari Pollak on 2012-03-15

Import patches-unapplied version 2.10.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0384e4e05f77a9d90c9f9cd5dc2425c7a389a6f7

New changelog entries:
  * Imported Upstream version 2.10.2
    - Fixes a possible remote crash in XMPP (CVE-2011-4939) (Closes: #664028)
    - Fixes a possible remote crash in XMPP (CVE-2012-1178) (Closes: #664030)

0384e4e... by Ari Pollak on 2011-12-09

Import patches-unapplied version 2.10.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 74a9ea9374ca9b924a02235b40762c7fab94cd99

New changelog entries:
  * Imported Upstream version 2.10.1
    - Fixes remotely-triggered crash in XMPP/Jingle
    - Fixes remotely-triggered crash in AIM/ICQ (CVE-2011-4601)
    - Fixes remotely-triggered crash in SILC (CVE-2011-3594)
  * add NEWS to installed docs
  * nm09-more.patch: change deprecated Network Manager signal name
    (Closes: #642117)
  * Add Conflicts: network-manager (<< 0.9.0) so there shouldn't be any
    version mismatch issues
    (Closes: #642199)

74a9ea9... by Ari Pollak on 2011-08-18

Import patches-unapplied version 2.10.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: ef9b9040b1411d7fb0b5e638e037044489bb3b9c

New changelog entries:
  * Imported Upstream version 2.10.0
    - Fixes a remote crash in IRC
    - Fixes a remote crash in MSN
  * Use linux-any instead of hardcoded list of non-Linux architectures
    (Closes: #634612)

ef9b904... by Ari Pollak on 2011-07-08

Import patches-unapplied version 2.9.0-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: cf56aab23c3f968323415f74af806bcaaa12345a

New changelog entries:
  * Oops, really enable hardening-wrapper

cf56aab... by Ari Pollak on 2011-07-07

Import patches-unapplied version 2.9.0-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: fd8aef13f1e76470a6bbf732503206ce1254c176

New changelog entries:
  * Fix missing epoch in libgadu-dev build-depends (Closes: #630654 again)
  * Build-depend on fixed version of libgadu-dev that depends on libgnutls-dev
    (Closes: #631979)
  * Use hardening-wrapper (Closes: #632515)

fd8aef1... by Ari Pollak on 2011-06-24

Import patches-unapplied version 2.9.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: d7a81e012877df186bdd509c45382ccf98b5b0f5

New changelog entries:
  * Imported Upstream version 2.9.0
    - Fixes denial-of-service vulnerability in buddy icon handling
      (CVE-2011-2485)
  * Re-enable GG and update libgadu-dev version
  * Explicitly disable GG protocol since we don't have libgadu-dev 1.11.0 in
    Debian yet (Closes: #630654)

d7a81e0... by Ari Pollak on 2011-06-14

Import patches-unapplied version 2.8.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 38278e3446860aadfe7d670385fdd713b5ce4355

New changelog entries:
  * Imported Upstream version 2.8.0 (Closes: #630124)
  * Remove SILC support since the library will be orphaned (Closes: #629222)
  * Fix typo in libpurple-bin description (Closes: #625462)